Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PortletInstanceControl

    public interface PortletInstanceControl

A custom control interface used to interact with portlet instances.

Method Summary
`com.bea.netuix.application.identifier.PortletInstanceId` | `createSuccessor(com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefinitionId, com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Creates a successor instance and returns its instance ID.
`com.bea.netuix.application.identifier.PortletInstanceId[]` | `getAllSuccessors(com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Returns a list of all successor instances including successors of successors.
`com.bea.netuix.application.instance.PortletInstance` | `getPortletInstance(com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `PortletInstance`.
`com.bea.netuix.application.view.PortletView` | `getPortletView(com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Getter for returning an immutable deep copy of a `PortletView`.
`com.bea.netuix.application.identifier.PortletInstanceId` | `getPredecessor(com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Returns the instance ID of the predecessor to the given instance ID.
`com.bea.netuix.application.identifier.PortletInstanceId[]` | `getSuccessors(com.bea.netuix.application.identifier.PortletInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Returns a list of successor instances.
`com.bea.netuix.application.instance.PortletInstance` | `updatePortletInstance(com.bea.netuix.application.instance.PortletInstance portletInstance, com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefinitionId, com.bea.portal.tools.common.ResourceContext context)` Update the portlet instance within the context of a desktop.
`com.bea.netuix.application.instance.PortletInstance` | `updatePortletInstance(com.bea.netuix.application.instance.PortletInstance portletInstance, com.bea.portal.tools.common.ResourceContext context)` Update the portlet instance outside the context of a desktop (in a Library).
`com.bea.netuix.application.instance.PortletInstance` | `updateTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId, com.bea.netuix.application.identifier.PortletInstanceId portletId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Update the portlet instance Theme setting.

Method Detail

### getPortletView

    com.bea.netuix.application.view.PortletView getPortletView(com.bea.netuix.application.identifier.PortletInstanceId id,
                                                               com.bea.portal.tools.common.ResourceContext context)
                                                               throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning an immutable deep copy of a `PortletView`. The `PortletView` object, unlike the `PortletDefinition` or the `PortletInstance` objects contains a full set of references to all child portlets, portlets and so on. The `PortletView` object however is immutable.

  Parameters
    `id` - the ID of the portlet to get a view for.
    `context` - the resource context
  Returns
    an immutable deep copy PortletView object if one exists, otherwise null.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPortletInstance

    com.bea.netuix.application.instance.PortletInstance getPortletInstance(com.bea.netuix.application.identifier.PortletInstanceId id,
                                                                           com.bea.portal.tools.common.ResourceContext context)
                                                                           throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `PortletInstance`.

  Parameters
    `id` - the ID of the portlet instance to retrieve
    `context` - the resource context
  Returns
    an fully populated PortletInstance object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
  See Also
    `PortletDefinition`

### updateTheme

    com.bea.netuix.application.instance.PortletInstance updateTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId,
                                                                    com.bea.netuix.application.identifier.PortletInstanceId portletId,
                                                                    String webApp,
                                                                    com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                    com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                    com.bea.portal.tools.common.ResourceContext context)
                                                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                           com.bea.netuix.application.exception.NotEntitledException,
                                                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Update the portlet instance Theme setting. If the portlet instance is the primary portlet instance then a new instance will be created specifically for this user or admin.

  For an admin editing a portlet outside the context of a desktop (in a Library) you should use `updatePortletInstance(PortletInstance)`

  .

  Parameters
    `themeId` - The ID of the new theme of this portlet instance, or null for none
    `portletId` - the ID of the portlet instance
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    the new updated portlet instance, with possible a new portletInstanceId
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
  See Also
    `IPortletInstanceManager.updatePortletInstance(CustomizationContext,PortletInstance)`

### updatePortletInstance

    com.bea.netuix.application.instance.PortletInstance updatePortletInstance(com.bea.netuix.application.instance.PortletInstance portletInstance,
                                                                              com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefinitionId,
                                                                              com.bea.portal.tools.common.ResourceContext context)
                                                                              throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                     com.bea.netuix.application.exception.NotEntitledException,
                                                                                     com.bea.netuix.application.exception.ObjectNotFoundException

  Update the portlet instance within the context of a desktop. When not in visitor mode the admin instance is updated.

  Parameters
    `portletInstance` - the portlet instance containing the new data
    `desktopDefinitionId` - The desktop containing the instance to update.
    `context` - the resource context
  Returns
    the new updated portlet instance.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updatePortletInstance

    com.bea.netuix.application.instance.PortletInstance updatePortletInstance(com.bea.netuix.application.instance.PortletInstance portletInstance,
                                                                              com.bea.portal.tools.common.ResourceContext context)
                                                                              throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                     com.bea.netuix.application.exception.NotEntitledException,
                                                                                     com.bea.netuix.application.exception.ObjectNotFoundException

  Update the portlet instance outside the context of a desktop (in a Library). For Admins editing the primary instance (not placed on any page) use the PortletDefinitionManager.updatePortletDefinition().

  Parameters
    `portletInstance` - the portlet instance containing the new data
    `context` - the resource context
  Returns
    the new updated portlet instance.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getPredecessor

    com.bea.netuix.application.identifier.PortletInstanceId getPredecessor(com.bea.netuix.application.identifier.PortletInstanceId id,
                                                                           com.bea.portal.tools.common.ResourceContext context)
                                                                           throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                  com.bea.netuix.application.exception.ObjectNotFoundException

  Returns the instance ID of the predecessor to the given instance ID. Returns `null` if there is no predecessor

  Parameters
    `id` - the ID of the portlet instance
    `context` - the resource context
  Returns
    predecessor instance ID
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getSuccessors

    com.bea.netuix.application.identifier.PortletInstanceId[] getSuccessors(com.bea.netuix.application.identifier.PortletInstanceId id,
                                                                            com.bea.portal.tools.common.ResourceContext context)
                                                                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                   com.bea.netuix.application.exception.ObjectNotFoundException

  Returns a list of successor instances. Returns an empty list if there are no successors.

  Parameters
    `id` - the ID of the portlet instance
    `context` - the resource context
  Returns
    array of successor instance IDs
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getAllSuccessors

    com.bea.netuix.application.identifier.PortletInstanceId[] getAllSuccessors(com.bea.netuix.application.identifier.PortletInstanceId id,
                                                                               com.bea.portal.tools.common.ResourceContext context)
                                                                               throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                      com.bea.netuix.application.exception.ObjectNotFoundException

  Returns a list of all successor instances including successors of successors. Returns an empty list if there are no successors.

  Parameters
    `id` - the ID of the portlet instance
    `context` - the resource context
  Returns
    array of successor instance IDs
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### createSuccessor

    com.bea.netuix.application.identifier.PortletInstanceId createSuccessor(com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefinitionId,
                                                                            com.bea.netuix.application.identifier.PortletInstanceId id,
                                                                            com.bea.portal.tools.common.ResourceContext context)
                                                                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                   com.bea.netuix.application.exception.NotEntitledException,
                                                                                   com.bea.netuix.application.exception.ObjectNotFoundException

  Creates a successor instance and returns its instance ID. Returns the same instance ID if there is no need to create a successor instance.

  Parameters
    `desktopDefinitionId` - the desktop context to which this chage applies.
    `id` - the ID of the portlet instance
    `context` - the resource context
  Returns
    successor instance ID
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved